GET Search users
Advanced search for users with multiple filter options including text search, role, and activity status
Advanced search for users with multiple filter options including text search, role, and activity status
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Query Parameters
q?string
Search query (searches email, first name, last name, display name, job title)
limit?integer
Maximum number of results to return
Range
1 <= value <= 100Default
25offset?integer
Number of results to skip for pagination
Range
0 <= valueDefault
0role?string
Filter by user role
is_active?boolean
Filter by active/inactive status
has_enrollments?boolean
Filter users who have enrollments
Default
falsesort_by?string
Field to sort by
Default
"created_at"Value in
- "created_at"
- "last_sign_in_at"
- "email"
- "first_name"
- "last_name"
sort_order?string
Sort order
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/users/search"{ "data": [ { "id": "{id}", "email": "string", "first_name": "string", "last_name": "string", "display_name": "string", "role": "string", "is_active": true, "created_at": "2019-08-24T14:15:22Z", "last_sign_in_at": "2019-08-24T14:15:22Z", "phone": "string", "job_title": "string", "organization_id": "{organization_id}" } ], "meta": { "total": 0, "limit": 0, "offset": 0, "query": { "search": "string", "role": "string", "is_active": "string", "has_enrollments": true, "sort_by": "string", "sort_order": "string" }, "facets": { "roles": [ "string" ], "activity_status": { "active": 0, "inactive": 0 } }, "organization_id": "{organization_id}", "rls_validation": { "enforced": true, "organization_isolated": true } }}{ "error": { "code": "UNAUTHORIZED", "message": "string" }}{ "error": { "code": "FORBIDDEN", "message": "string", "required_scope": "users:read" }}{ "error": { "code": "INTERNAL_ERROR", "message": "string" }}